use core::mem;
use poolman::PoolMan;

static P: PoolMan<u32, 2> = PoolMan::new([0; 2]);
fn main() {
    P.init();
    {
        let e = P.alloc().unwrap();
        println!("e {}", *e);
        mem::drop(e);
        let mut e1 = P.alloc().unwrap();
        println!("e1 {}", *e1);
        *e1 = 2;
        println!("e1 {}", *e1);

        let e2 = P.alloc().unwrap();
        println!("e2 {}", *e2);
    }
    let e = P.alloc().unwrap();
    println!("e {}", *e);
}
